On Sat, 20 Nov 2004 15:34:28 +0100 (MET), Urs Attenhofer
wrote:
> LoadPlugin: failed to initialize shared library
> /usr/local/linux-sun-jdk1.4.2/jre/plugin/i386/ns610/libjavaplugin_oji.so
> [Shared object "libdl.so.2" not found, required by "libjavaplugin_oji.so"]


Mozilla is trying to use the Linux Java plugin. To use it, you must
also install www/linuxpluginwrapper. But ...

> Ports:
> jdk-1.4.2p6_6
> linux-sun-jdk-1.4.2.05


... once you installed the native jdk (jdk-1.4.2p6_6 in your ports
list), you can deinstall the Linux one (linux-sun-jdk-1.4.2.05), it is
only needed for building. Then set the environment variables JAVA_HOME
and JDK_HOME to jdk-1.4.2p6_6's base directory (/usr/local/jdk1.4.2)
to use it instead.

(p.s.: try to use a meaningful Subject: next time)

--
(null)
_______________________________________________
freebsd-java@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-java
To unsubscribe, send any mail to "freebsd-java-unsubscribe@freebsd.org"